[general]
* **Scheduler redesigned:** The web GUI of the i-net Clear Reports scheduler has been replaced by a new Remote Interface module. You can access it in the Remote Interface or using the URL: 
```
http://<servername>:<port>/[<servlet-context>]/remote/scheduler
```

* **Configuration manager modul completely re-implemented:** The configuration manager modul has been redesigned and re-implemented. Note: It won't work with Internet Explorer 6 and 7.
* **HTML export completely re-implemented:** To improve the quality of the HTML export format, it has been completely re-implemented. It looks now more simliar to the report design. Vertical lines and boxes are supported.
* **HTML export in compressed zip archive added:** With the "htm.zip" export format, it is now possible to request a ZIP archive containing the exported HTML and image files.
* **New export format ODS:** The export format ODS has been added to the list of supported export formats.
* **Crosstab completely re-implemented:** Because of a lot of bugs and problems with the old implementation of the crosstab, it has been re-implemented completely.
* **`isNull(currentFieldValue) returns false`:** The currentFieldValue of a number field is not null, therefore isNull(currentFieldValue) returns false, always. Only if the currentFieldValue is a String, then it could be null.

[general:de]
* **Der Scheduler wurde neu gestaltet:** Die Web-GUI des i-net Clear Reports Schedulers wurde durch ein neues Remote Interface Modul ersetzt. Sie können es über das Remote Interface oder über die URL aufrufen:
```
http://<Servername>:<Port>/[<Servlet-Kontext>]/remote/scheduler
```

* **Konfigurationsmanagermodul komplett neu implementiert:** Das Konfigurationsmanagermodul wurde neu gestaltet und neu implementiert. Hinweis: Es funktioniert nicht mit Internet Explorer 6 und 7.
* **HTML-Export komplett neu implementiert:** Um die Qualität des HTML-Exportformats zu verbessern, wurde es komplett neu implementiert. Es sieht nun dem Berichtsdesign ähnlicher. Vertikale Linien und Boxen werden unterstützt.
* **HTML-Export in komprimiertem ZIP-Archiv hinzugefügt:** Mit dem Exportformat "htm.zip" ist es nun möglich, ein ZIP-Archiv anzufordern, das die exportierten HTML- und Bilddateien enthält.
* **Neues Exportformat ODS:** Das Exportformat ODS wurde in die Liste der unterstützten Exportformate aufgenommen.
* **Kreuztabelle komplett neu implementiert:** Da die alte Implementierung der Kreuztabelle viele Fehler und Probleme aufwies, wurde sie komplett neu implementiert.
* **`isNull(currentFieldValue) liefert false`:** Der currentFieldValue eines Zahlenfeldes ist nicht null, daher liefert isNull(currentFieldValue) immer false. Nur wenn currentFieldValue ein String ist, könnte er null sein.

[changes]
* The HTML export has been completely re-implemented to improve the output of the exported HTML file. It is based now on HTML 4 und CSS 3.0.
* New Export Formats: 
  * HTM.ZIP - HTML export in compressed zip archive
  * ODS
* JavaBean "ZXingBarCodes" added. With this bean it is possible to add QRCode to a report.
* It's now allowed to call a Formula Expander Class function from inside a user defined function(formula).
* Improved error message when entering an invalid prompt value.
* CSV Export: Multiple characters can be used as one delimiter, e.g.: |;:
* HTML export: 
  * The HTML viewer will not open the same subreport or drill-down-report again but simply activate an already existing tab.
  * HTML Viewer can open links with http(s), file, ftp, smb and afp in a separate window and according to the current system.
* Main and subreport share the same database connection, if the datasource is identical.

#### Changed Behavior
* Summary functions in formulas now accept single values as well. Count and distinctCount now work for range-arrays as well.
* The report URL parameter "navigation" has been removed, because it is not supported with the new HTML export format.
* The report URL parameter "sql" has been removed.
* DatePart("ww",x) is now compatible with the calendar of different locales. Before it was compatible with Crystal Reports.
* Subreport on demand links will only be created on a client server request.

#### API Changes
* Removed Deprecated Classes, Methods and Constants
  * com.inet.report.ChartFormat
    * setLocale (Locale)
  * com.inet.report.CrossTabDescriptionSection
    * addLine( int, int, int, int)
  * com.inet.report.Datasource
    * setup(String)
    * setup(DataSourceConfiguration)
  * com.inet.report.Element
    * copyXML2()
  * com.inet.report.RDC
    * loadEngine(File, BufferedReader)
    * loadEngine(File, BufferedReader, Properties)
    * loadEngine(File, BufferedReader, String)

### i-net Clear Reports viewer
* The print and export button is disabled, if the report is suppressed because of no rows. It is possible to get this state using Java viewer API.

#### API Changes
* Removed Deprecated Classes, Methods and Constants
  * com.inet.viewer.ReportViewer
    * setCustomPromptEditor(String, CustomPromptEditor)
* com.inet.viewer.SwingReportViewer
    * setCustomPromptEditor(String, CustomPromptEditor)

### i-net Designer
* SQL Editor: 
  * It is now possible to use formula with evaluation time "BeforeReadingRecords" in the SQL editor of the Database Wizard.
  * Now it is possible to use Strings prompts without quoting on any place of the SQL.
* Crosstab properties has been improved.
* If the page limit is exceeded then a warning page is added to the end of the report.
* The page layout dialog no longer adapts the paper-orientation to the height/width of the paper for userdefined format.
* Designer file chooser now only connects to repository server if the user clicks on the corresponding node.

### Report Repository
* Repository credentials are now optional. If they are needed for the connection, they will be requested at runtime (including an option to store the credentials permanently)

### Configuration Manager
* Configuration Manager module has been reworked.
* Performance improvements while starting the Configuration Manager.
* Property "Scheduler Cache Filter" has been renamed to "Restrict report execution to the Scheduler".
* Command line parameter "-clearreports.preferredconfig" added.
* The new remote interface moduls for scheduler and configuration won't work with Internet Explorer 6, 7 or 8.

### Scheduler
* The old web GUI of the scheduler has been replaced with a new scheduler modul for remote interface.
* The URL parameter "init=scheduler" is not supported anymore. You can use the following URL to open the scheduler remote module: http://<servername>:<port>[/<servlet-context>]/remote/scheduler.
* "Cache Action" and property "Cache Filter Enabled" has been removed. Use file action to save the report as file and then request this file.
* The Html export in the Scheduler now supports the attachment of the date and/or time to the filename.

### Ad Hoc Reporting
* Ad hoc reporting now allows to download the current report as an i-net Clear Reports report file (.rpt).
* Ad hoc reporting now allows to export and import save points and share them across different accounts.
* The performance of the Visual Database Wizard for reports with very large counts of tables (approx. > 30) has been improved.
* The rendering of reports in Ad-Hoc(Swing and Web) can now be stopped at any time.

### Setup
* Oracle OC4J application server not supported anymore. It supports only Java 5.
* Standalone Configuration & Recovery Manager will be installed with i-net Clear Reports.

### .Net Edition
* .Net report viewer sample added to the samples folder: "<install-dir>\\client\\documentation\\samples\\viewer_.net".

[changes:de]
* Der HTML-Export wurde komplett neu implementiert, um die Ausgabe der exportierten HTML-Datei zu verbessern. Er basiert nun auf HTML 4 und CSS 3.0.
* Neue Exportformate:
  * HTM.ZIP - HTML-Export in komprimiertem Zip-Archiv
  * ODS
* JavaBean "ZXingBarCodes" hinzugefügt. Mit dieser Bean ist es möglich, QRCode zu einem Bericht hinzuzufügen.
* Es ist nun erlaubt, eine Funktion der Formula Expander Class aus einer benutzerdefinierten Funktion (Formel) heraus aufzurufen.
* Verbesserte Fehlermeldung bei der Eingabe eines ungültigen Prompt-Wertes.
* CSV-Export: Mehrere Zeichen können als ein Trennzeichen verwendet werden, z.B.: |;:
* HTML-Export:
  * Der HTML-Viewer öffnet nicht mehr denselben Teilbericht oder Drill-Down-Bericht erneut, sondern aktiviert einfach eine bereits vorhandene Registerkarte.
  * HTML-Viewer kann Links mit http(s), file, ftp, smb und afp in einem separaten Fenster und je nach aktuellem System öffnen.
* Haupt- und Unterbericht teilen sich die gleiche Datenbankverbindung, wenn die Datenquelle identisch ist.

#### Geändertes Verhalten
* Zusammenfassungsfunktionen in Formeln akzeptieren nun auch Einzelwerte. Count und distinctCount funktionieren nun auch für Range-Arrays.
* Der Bericht-URL-Parameter "navigation" wurde entfernt, da er im neuen HTML-Exportformat nicht mehr unterstützt wird.
* Der Bericht-URL-Parameter "sql" wurde entfernt.
* DatePart("ww",x) ist jetzt mit dem Kalender verschiedener Gebietsschemata kompatibel. Vorher war es mit Crystal Reports kompatibel.
* Subreport-on-Demand-Links werden nur noch bei einer Client-Server-Anfrage erstellt.

#### API-Änderungen
* Entfernte veraltete Klassen, Methoden und Konstanten
  * com.inet.report.ChartFormat
    * setLocale (Gebietsschema)
  * com.inet.report.CrossTabDescriptionSection
    * addLine( int, int, int, int)
  * com.inet.report.Datasource
    * setup(String)
    * setup(DatenquelleKonfiguration)
  * com.inet.report.Element
    * copyXML2()
  * com.inet.report.RDC
    * loadEngine(Datei, BufferedReader)
    * loadEngine(Datei, BufferedReader, Eigenschaften)
    * loadEngine(Datei, GepufferterLeser, String)

### i-net Clear Reports viewer
* Die Druck- und Export-Schaltfläche ist deaktiviert, wenn der Bericht wegen fehlender Zeilen unterdrückt wird. Es ist möglich, diesen Zustand mit der Java Viewer API zu erhalten.

#### API-Änderungen
* Entfernte veraltete Klassen, Methoden und Konstanten
  * com.inet.viewer.ReportViewer
    * setCustomPromptEditor(String, CustomPromptEditor)
* com.inet.viewer.SwingReportViewer
    * setCustomPromptEditor(String, CustomPromptEditor)

### i-net Designer
* SQL-Editor:
  * Es ist jetzt möglich, Formeln mit der Auswertungszeit "BeforeReadingRecords" im SQL-Editor des Datenbank-Assistenten zu verwenden.
  * Jetzt ist es möglich, Strings Prompts ohne Anführungszeichen an einer beliebigen Stelle des SQL zu verwenden.
* Die Eigenschaften von Kreuztabellen wurden verbessert.
* Wenn das Seitenlimit überschritten wird, wird eine Warnseite am Ende des Berichts hinzugefügt.
* Der Seitenlayout-Dialog passt die Papierausrichtung nicht mehr an die Höhe/Breite des Papiers für benutzerdefinierte Formate an.
* Die Dateiauswahl des Designers stellt jetzt nur noch dann eine Verbindung zum Repository-Server her, wenn der Benutzer auf den entsprechenden Knoten klickt.

### Report Repository
* Repository-Anmeldeinformationen sind jetzt optional. Wenn sie für die Verbindung benötigt werden, werden sie zur Laufzeit abgefragt (einschließlich einer Option, um die Anmeldedaten dauerhaft zu speichern)

### Konfigurationsmanager
* Das Konfigurationsmanager-Modul wurde überarbeitet.
* Leistungsverbesserungen beim Starten des Configuration Managers.
* Die Eigenschaft "Scheduler Cache Filter" wurde umbenannt in "Reportausführung auf den Scheduler beschränken".
* Kommandozeilenparameter "-clearreports.preferredconfig" hinzugefügt.
* Die neuen Remote-Schnittstellen-Module für Scheduler und Konfiguration funktionieren nicht mit Internet Explorer 6, 7 oder 8.

### Scheduler
* Die alte Web-GUI des Schedulers wurde durch ein neues Scheduler-Modul für die Remote-Schnittstelle ersetzt.
* Der URL-Parameter "init=scheduler" wird nicht mehr unterstützt. Sie können die folgende URL verwenden, um das Scheduler-Remote-Modul zu öffnen: http://<servername>:<port>[/<servlet-context>]/remote/scheduler.
* "Cache Action" und die Eigenschaft "Cache Filter Enabled" wurden entfernt. Verwenden Sie die Datei-Aktion, um den Bericht als Datei zu speichern und dann diese Datei anzufordern.
* Der Html-Export im Scheduler unterstützt nun das Anhängen von Datum und/oder Uhrzeit an den Dateinamen.

### Ad-hoc-Berichterstattung
* Die Ad-hoc-Berichterstattung ermöglicht nun den Download des aktuellen Berichts als i-net Clear Reports Berichtsdatei (.rpt).
* Die Ad-hoc-Berichterstattung ermöglicht nun das Exportieren und Importieren von Speicherpunkten und deren gemeinsame Nutzung in verschiedenen Konten.
* Die Leistung des Visual Database Wizard für Berichte mit sehr vielen Tabellen (ca. > 30) wurde verbessert.
* Das Rendern von Berichten in Ad-Hoc (Swing und Web) kann nun jederzeit gestoppt werden.

### Einrichtung
* Oracle OC4J Application Server wird nicht mehr unterstützt. Er unterstützt nur noch Java 5.
* Standalone Configuration & Recovery Manager wird mit i-net Clear Reports installiert.

### .Net Edition
* ein Beispiel für einen .Net-Berichtsbetrachter wurde dem Samples-Ordner hinzugefügt: "<Installationsverzeichnis>\\Client\\Dokumentation\\\Beispiele\\\viewer_.net".

[bugfixes]
* If the URL contained the promptonrefresh parameter, an HTML prompt dialog would not correctly submit its parameters.
* Field formatting issues using "suppress if zero" in combinated with a "fixed currency symbol" has occurred.
* IllegalArgumentException with number formulas for Java Beans occurred, if the target Java Type of the Java Beans was double. This could occur for example with the Gauge Bean.
* In rare cases, a background color of subreport elements was not or only once displayed, if only one background color was used for the report elements and if a background color has been set for at least one report section.
* IndexOutOfBoundsException occurred during processing the record selection formula.
* Formula function "PreviousIsNull" has returned null instead of true if it was used for the first data set.
* A call of method setData(ResultSet) has created a database connection if there was a valid DataSourceConfiguration.
* Only the first column was added to the report, if MySQL was used and the used stored procedure contains two columns with the same name from different tables.
* Page Footer was printed in not printable area if the report footer with enabled "Underlay Following Section" did not fit on the page.
* ReportReaderNet:
  * Various number properties such as "allow field clipping" and others are now read correctly including their property formulas.
  * When non-subreport elements were in the same section as a subreport, Crystal Reports templates were often loaded with warnings such as "Possible errors in subreport...".
  * The group property "Keep Group Together" was not read correctly from Crystal Reports templates. It was always set to false.
  * Summary fields in Crystal Reports templates which were set to running total fields and had both a "evaluate on change of" setting as well as a "reset on change of" setting lost the "evaluate on change of" setting.
  * Error when using ReportReaderNet with Crystal Reports XI R2 occurred.
  * Error while using ReportReaderNet with Crystal Reports 2011 occurred.
* Excel export: 
  * NullPointerException occurred.
  * If a slash was used as delimiter in a custom date format then this date was displayed with the locale default delimiter.
* It could occur a problem during the creation of database connection to a Apache Derby database.
* Exception occurred, if a report was added as subreport that contains lines and/or boxes spanning mutliple sections and starts in the page header or ends in the page footer.
* Line spanning multiple sections was missing on a page, if it ends in the group footer and there was no group footer on that page.
* Dead locks on MacOS occurred during start of the i-net Designer or report server.
* PDF export: 
  * Title and subject from document properties were not written into created PDF file.
  * An picture in the exported PDF file was corrupt, if it's location was set with picture property "Dynamic Image Location".
  * Unicode mapping for multibyte characters was incorrect.
* RecordSelection optimization for subreports - this will now work completely equals to the main report. Fixed removal of Prompt placeholders in case getSQL was called on the engine before it was executed.
* Data export: Some data in group footer sections were incorrect.
* Excel export: Because of some static text in subreports, it could occur that Excel opens an exported .xls files in the protected view.
* A database connection leak on calling SQLValueProvider.getDefaultValues() without calling Engine.execute().
* Text export: Embedded Fonts were ignored for calculating the metrix of the TXT export.
* The Java viewer does not display characters, if the used font can not be embedded but was added to the font path.
* The error message "The failure cause for the report could not be returned." was displayed. Now, the correct error message will be displayed.
* HTML export:
  * Clicking the reload button in an HTML output of a report with prompts caused the originally entered prompt values to be lost in some cases.
  * Elements in the crosstab description section were displayed outside of the table, if Internet Explorer was used.
* ReportReader has read all special fields as print date, if Crystal Reports 2011 rpt file was used.

### i-net Clear Reports viewer
* ViewerException "Wrong order of nodes" occurred with hierarchical grouping and a second group in the report.
* In field elements with HTML content, selecting and copying text from within the viewer caused extraneous spaces to be inserted before and after punctuation symbols. These spaces no longer are added.

### i-net Designer
* SQL Editor:
  * String parameter fields was not quoted in SQL query.
  * Property "Quote string parameters" was not enabled by default in remote designer.
* Several bugs in Java Bean properties occurred. 
  * The wrong (default) entry in a combo box of the Java Bean properties dialog was selected.
  * The JavaBean editor of the designer has used the same editor for the same class and has ignored different editors for different properties of the same type. 
* Saving a report containing a Java Bean has lost all settings of this Java Bean if the class (jar file) of this Java Bean was not in the classpath.
* The following exception has sometimes occurred while opening a Crystal Reports rpt file: "[Report Reader] Could not convert report <temp-dir>\\designer<...>.rpt - problem with ReportReader. Restarting ReportReader. Reason: ERROR can not find a report file."

### Remote Designer
* It could occur that the library of a JavaBean, like JBarcodeBean, was loaded after a report using this JavaBean was loaded for the first time.

### Configuration Manager
* A single negative IP filter caused all IP addresses to be blocked. Now, if only negative IP filters are entered, all IP addresses EXCEPT the ones entered as negative filters will be allowed.

### .Net Edition
* On 64-bit machines, i-net Clear Reports .NET was incorrectly installed in the "Program Files (x86)" folder.

[bugfixes:de]
* Wenn die URL den Parameter promptonrefresh enthielt, wurden die Parameter eines HTML-Eingabedialogs nicht korrekt übermittelt.
* Feldformatierungsprobleme bei der Verwendung von "suppress if zero" in Kombination mit einem "fixed currency symbol" sind aufgetreten.
* IllegalArgumentException bei Zahlenformeln für Java Beans trat auf, wenn der Ziel-Java-Type der Java Beans double war. Dies konnte zum Beispiel bei der Gauge Bean auftreten.
* In seltenen Fällen wurde eine Hintergrundfarbe von Subreport-Elementen nicht oder nur einmal angezeigt, wenn nur eine Hintergrundfarbe für die Report-Elemente verwendet wurde und für mindestens einen Report-Abschnitt eine Hintergrundfarbe gesetzt wurde.
* IndexOutOfBoundsException trat bei der Verarbeitung der Datensatzauswahlformel auf.
* Die Formelfunktion "PreviousIsNull" hat null statt true zurückgegeben, wenn sie für den ersten Datensatz verwendet wurde.
* Ein Aufruf der Methode setData(ResultSet) hat eine Datenbankverbindung erstellt, wenn eine gültige DataSourceConfiguration vorhanden war.
* Nur die erste Spalte wurde dem Bericht hinzugefügt, wenn MySQL verwendet wurde und die verwendete Stored Procedure zwei gleichnamige Spalten aus verschiedenen Tabellen enthält.
* Seitenfuß wurde im nicht druckbaren Bereich gedruckt, wenn der Berichtsfuß mit aktivierter "Underlay Following Section" nicht auf die Seite passte.
* ReportReaderNet:
  * Verschiedene Zahleneigenschaften wie "Feldbeschneidung zulassen" und andere werden jetzt korrekt gelesen, einschließlich ihrer Eigenschaftsformeln.
  * Wenn sich Nicht-Teilberichtselemente im gleichen Abschnitt wie ein Teilbericht befanden, wurden Crystal Reports-Vorlagen oft mit Warnungen wie "Mögliche Fehler im Teilbericht..." geladen.
  * Die Gruppeneigenschaft "Gruppe zusammenhalten" wurde von Crystal Reports-Vorlagen nicht korrekt gelesen. Sie wurde immer auf false gesetzt.
  * Zusammenfassungsfelder in Crystal-Reports-Vorlagen, die auf laufende Summenfelder eingestellt waren und sowohl eine Einstellung "Auswerten bei Änderung von" als auch eine Einstellung "Zurücksetzen bei Änderung von" hatten, verloren die Einstellung "Auswerten bei Änderung von".
  * Es trat ein Fehler bei der Verwendung von ReportReaderNet mit Crystal Reports XI R2 auf.
  * Es trat ein Fehler bei der Verwendung von ReportReaderNet mit Crystal Reports 2011 auf.
* Excel-Export:
  * NullPointerException aufgetreten.
  * Wenn ein Schrägstrich als Trennzeichen in einem benutzerdefinierten Datumsformat verwendet wurde, wurde dieses Datum mit dem Standard-Begrenzungszeichen des Gebietsschemas angezeigt.
* Es konnte ein Problem bei der Erstellung einer Datenbankverbindung zu einer Apache Derby Datenbank auftreten.
* Eine Ausnahme trat auf, wenn ein Bericht als Unterbericht hinzugefügt wurde, der Zeilen und/oder Felder enthält, die sich über mehrere Abschnitte erstrecken und im Seitenkopf beginnen oder in der Fußzeile enden.
* Eine Zeile, die sich über mehrere Abschnitte erstreckt, fehlte auf einer Seite, wenn sie in der Gruppenfußzeile endete und es keine Gruppenfußzeile auf dieser Seite gab.
* Deadlocks unter MacOS traten beim Start des i-net Designers oder des Berichtsservers auf.
* PDF-Export:
  * Titel und Betreff aus den Dokumenteigenschaften wurden nicht in die erzeugte PDF-Datei geschrieben.
  * Ein Bild in der exportierten PDF-Datei war beschädigt, wenn seine Position mit der Bildeigenschaft "Dynamic Image Location" festgelegt wurde.
  * Die Unicode-Zuordnung für Multibyte-Zeichen war falsch.
* RecordSelection-Optimierung für Subreports - dies funktioniert nun vollständig gleich wie der Hauptbericht. Die Entfernung von Prompt-Platzhaltern für den Fall, dass getSQL vor der Ausführung auf der Engine aufgerufen wurde, wurde behoben.
* Datenexport: Einige Daten in Gruppenfußzeilen waren fehlerhaft.
* Excel-Export: Wegen einiger statischer Texte in Unterberichten konnte es vorkommen, dass Excel eine exportierte .xls-Datei in der geschützten Ansicht öffnet.
* Ein Datenbankverbindungsleck beim Aufruf von SQLValueProvider.getDefaultValues() ohne Aufruf von Engine.execute().
* Text-Export: Eingebettete Fonts wurden bei der Berechnung der Metrix des TXT-Exports ignoriert.
* Der Java-Viewer zeigt keine Zeichen an, wenn die verwendete Schriftart nicht eingebettet werden kann, aber zum Schriftartenpfad hinzugefügt wurde.
* Die Fehlermeldung "Die Fehlerursache für den Bericht konnte nicht zurückgegeben werden" wurde angezeigt. Jetzt wird die korrekte Fehlermeldung angezeigt.
* HTML-Export:
  * Wenn in einer HTML-Ausgabe eines Berichts mit Prompts auf die Schaltfläche "Neu laden" geklickt wurde, gingen in einigen Fällen die ursprünglich eingegebenen Prompt-Werte verloren.
  * Elemente im Kreuztabellen-Beschreibungsabschnitt wurden außerhalb der Tabelle angezeigt, wenn der Internet Explorer verwendet wurde.
* ReportReader hat alle speziellen Felder als Druckdatum gelesen, wenn eine Crystal Reports 2011 rpt-Datei verwendet wurde.

### i-net Clear Reports Viewer
* ViewerException "Wrong order of nodes" trat bei hierarchischer Gruppierung und einer zweiten Gruppe im Bericht auf.
* In Feldelementen mit HTML-Inhalt wurden beim Auswählen und Kopieren von Text aus dem Viewer heraus Leerzeichen vor und nach Interpunktionssymbolen eingefügt. Diese Leerzeichen werden nun nicht mehr hinzugefügt.

### i-net Designer
* SQL-Editor:
  * String-Parameterfelder wurden in SQL-Abfragen nicht zitiert.
  * Die Eigenschaft "String-Parameter zitieren" war im Remote Designer nicht standardmäßig aktiviert.
* Mehrere Bugs in Java Bean Eigenschaften traten auf.
  * Der falsche (Standard-)Eintrag in einem Kombinationsfeld des Java-Bean-Eigenschaften-Dialogs wurde ausgewählt.
  * Der JavaBean-Editor des Designers hat denselben Editor für dieselbe Klasse verwendet und verschiedene Editoren für verschiedene Eigenschaften desselben Typs ignoriert.
* Beim Speichern eines Berichts, der eine Java Bean enthält, gingen alle Einstellungen dieser Java Bean verloren, wenn sich die Klasse (jar-Datei) dieser Java Bean nicht im Klassenpfad befand.
* Die folgende Ausnahme ist manchmal beim Öffnen einer Crystal Reports rpt-Datei aufgetreten: "[Report Reader] Konnte Bericht <temp-dir>\designer<...>.rpt nicht konvertieren - Problem mit ReportReader. Starten Sie ReportReader neu. Reason: ERROR can not find a report file."

### Remote Designer
* Es konnte vorkommen, dass die Bibliothek einer JavaBean, wie z.B. JBarcodeBean, geladen wurde, nachdem ein Bericht, der diese JavaBean verwendet, zum ersten Mal geladen wurde.

### Konfigurations-Manager
* Ein einzelner negativer IP-Filter führte dazu, dass alle IP-Adressen blockiert wurden. Wenn jetzt nur negative IP-Filter eingegeben werden, werden alle IP-Adressen AUSSER denen, die als negative Filter eingegeben wurden, zugelassen.

### .Net Edition
* Auf 64-Bit-Rechnern wurde i-net Clear Reports .NET fälschlicherweise im Ordner "Program Files (x86)" installiert.

[security]

[security:de]
